karaf-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Problem with hibernate-envers 3.x
Date Tue, 18 Feb 2014 14:13:16 GMT
No need, it's already done ;)

Regards
JB

On 02/18/2014 03:11 PM, Krzysztof Sobkowiak wrote:
> Yes, it is my preferred solution too, I will open proper issue.
>
>
> On 18.02.2014 15:05, Jean-Baptiste Onofré wrote:
>> Hi Krzysztof,
>>
>> it's a mistake in the POM property used for the version and merge.
>>
>> I would remove hibernate-envers as it doesn't make sense for Hibernate
>> 3.x.
>>
>> Regards
>> JB
>>
>> On 02/18/2014 03:01 PM, Krzysztof Sobkowiak wrote:
>>> Hi friends
>>>
>>> I think, the hibernate-envers feature for Hibernate 3 should not exist
>>> (or must be remastered). There is no
>>> org.hibernate:hibernate-envers:jar:3.3.2.GA anywhere (in central repo
>>> nor in JBoss repo).
>>>
>>> karaf@root()> feature:install hibernate-envers/3.3.2.GA
>>> Error executing command: Error resolving artifact
>>> org.hibernate:hibernate-envers:jar:3.3.2.GA: Could not find artifact
>>> org.hibernate:hibernate-envers:jar:3.3.2.GA in defaultlocal
>>> (file:/home/kso/.m2/repository/)
>>>
>>> The first version of hibernate-envers is 3.5.0, but the original jars
>>> from the line 3.x have no OSGi metadata. The line 4.x has been osgified.
>>> So, we should create a bundle for envers 3.3.2.GA (if doesn't exist in
>>> EBR yet) or remove the hibernate-envers feature for this version. I'm
>>> going to open an JIRA issue for this problem
>>>
>>> Regards
>>> Krzysztof
>>>
>>
>
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message